"use strict";

require("core-js/modules/web.dom-collections.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _GlobalCounter = require("./GlobalCounter");

var _IndividualCounter = require("./IndividualCounter");

var _guest = _interopRequireDefault(require("cross-domain-storage/guest"));

var _Constants = require("./Constants");

var _functions = require("./functions");

require("./style.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Counters() {
  (0, _react.useEffect)(() => {
    const ext = (0, _guest.default)(_Constants.SUB_DOMAIN);
    ext.get("referred_by", (error, inviterId) => {
      if (error) console.error(error);else {
        if ((0, _functions.validUserId)(inviterId)) {
          console.log("inviterId", inviterId);
        } else {
          console.log("not valid user id ", inviterId);
        }
      }
    });
  }, []);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "region top-right"
  }, /*#__PURE__*/_react.default.createElement(_IndividualCounter.IndividualCounter, null), /*#__PURE__*/_react.default.createElement(_GlobalCounter.GlobalCounter, null));
}

var _default = Counters;
exports.default = _default;